%global _use_internal_dependency_generator 0
%global __find_requires /usr/lib/rpm/ocaml-find-requires.sh
%global __find_provides /usr/lib/rpm/ocaml-find-provides.sh
%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)

Name:           ocaml-config-file
Version:        1.2
Release:        9%{?dist}
Summary:        Configuration file management for OCaml
License:        LGPLv2+

URL:            http://config-file.forge.ocamlcore.org/
Source0:        https://forge.ocamlcore.org/frs/download.php/1387/config-file-%{version}.tar.gz

BuildRequires:  ocaml >= 4.00
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-camlp4-devel

%description
Config_file is an OCaml library used to manage the configuration file(s)
of an application. You simply define your options and it performs the
loading and saving of the options. Each option is defined from an option
class (for example an "int" option) or from a combination of classes
(for example to create "list of int" options).

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n config-file-%{version}

%build
./configure \
  --bindir=%{_bindir} \
  --libdir=%{_libdir}

make V=1 OCAMLPP="-g" byte
%if %opt
make V=1 OCAMLPP="-g" opt
%endif

%install
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install

%files
%doc README
%license LICENSE
%dir %{_libdir}/ocaml/config-file
%{_libdir}/ocaml/*/*.cmi
%{_libdir}/ocaml/*/*.cmo
%{_libdir}/ocaml/*/META


%files devel
%doc ChangeLog
%{_libdir}/ocaml/*/*.mli
%if %opt
%{_libdir}/ocaml/*/*.cmx
%{_libdir}/ocaml/*/*.cmxs
%{_libdir}/ocaml/*/*.o
%endif


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jul 28 2015 Richard W.M. Jones <rjones@redhat.com> - 1.2-8
- OCaml 4.02.3 rebuild.

* Wed Jun 24 2015 Richard W.M. Jones <rjones@redhat.com> - 1.2-7
- ocaml-4.02.2 final rebuild.

* Fri Jun 19 2015 Richard W.M. Jones <rjones@redhat.com> - 1.2-6
- Rebuild for ocaml-4.02.2.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 23 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 1.2-4
- added .cmo file (#1204400)

* Wed Mar 11 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 1.2-3
- added missing .o file in devel (required for building caml-crush)
- devel package dependency is arch-specific, suggested by Tomas Heinrich
- added -g during compilation

* Wed Mar 11 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 1.2-2
- removed unnecessary macros - suggested by Richard W.M. Jones

* Mon Mar  9 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 1.2-1
- initial release
